<?php
namespace InternetGalerie\Igshop2\Domain\Model;


/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2015
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * QuantityDiscount
 */
class QuantityDiscount extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * amount
	 *
	 * @var integer
	 */
	protected $amount = 0;

	/**
	 * price
	 *
	 * @var float
	 */
	protected $price;
	
	/**
	 * price
	 *
	 * @var float
	 */
	protected $priceEuro;

	/**
	 * Returns the amount
	 *
	 * @return integer $amount
	 */
	public function getAmount() {
		return $this->amount;
	}

	/**
	 * Sets the amount
	 *
	 * @param integer $amount
	 * @return void
	 */
	public function setAmount($amount) {
		$this->amount = $amount;
	}

	/**
	 * Returns the price
	 *
	 * @return float $price
	 */
	public function getPrice() {
		return $this->price;
	}

	/**
	 * Sets the price
	 *
	 * @param float $price
	 * @return void
	 */
	public function setPrice($price) {
		$this->price = $price;
	}
	
	/**
	 * Returns the priceEuro
	 *
	 * @return float $priceEuro
	 */
	public function getPriceEuro() {
		return $this->priceEuro;
	}

	/**
	 * Sets the priceEuro
	 *
	 * @param float $priceEuro
	 * @return void
	 */
	public function setPriceEuro($priceEuro) {
		$this->price = $priceEuro;
	}

}