<?php
namespace InternetGalerie\Igshop2\ViewHelpers;

/**
 * This class is a demo view helper for the Fluid templating engine.
 *
 * @package TYPO3
 * @subpackage Fluid
 * @version
 */
class FgetContentViewHelper extends \TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper {

    public function initializeArguments(): void
    {
        parent::initializeArguments();
        $this->registerArgument('filePath', 'string', 'File path', true);
    }
    
    /**
     * Counts how often a Value is in a given Array
	 * 
	 * @return int $ret
     */
	public function render(): string
    {
	    $filePath = $this->arguments['filePath'];
        
        if(file_exists($filePath))		
		  return file_get_contents($filePath);
        return false;
	}
}

?>