<?php

namespace InternetGalerie\Igshop2\ViewHelpers;

/**
 * This class is a demo view helper for the Fluid templating engine.
 *
 * @package TYPO3
 * @subpackage Fluid
 * @version
 */
class HasActionPriceViewHelper extends \TYPO3Fluid\Fluid\Core\ViewHelper\AbstractConditionViewHelper  {
	public function initializeArguments(): void
	{
		parent::initializeArguments();
		$this -> registerArgument('currency', 'object', 'Currency', TRUE);
		$this -> registerArgument('product', 'mixed', 'Product', true);
	}

    /**
     * Action price
     */
	protected static function evaluateCondition($arguments = null): string
	{
	    $currency = $arguments['currency'];
	    $product = $arguments['product'];
        return $product->hasActionPrice($currency);
    }
}
