<?php
declare(strict_types=1);

namespace InternetGalerie\Igshop2\Widgets\Provider;

interface ProductProviderInterface
{
    /**
     * @return array
     */
    public function getProductTotal(): array;

    /**
     * @return array
     */
    public function getCategories(): array;

    /**
     * @return int
     */
    public function getLimit(): int;
}
