$('document').ready(function() {

	// IE8 hack - hide background image in currency selector
	navigator.sayswho= (function(){
	    var ua= navigator.userAgent, tem,
	    M= ua.match(/(opera|chrome|safari|firefox|msie|trident(?=\/))\/?\s*(\d+)/i) || [];
	    if(/trident/i.test(M[1])){
	        tem=  /\brv[ :]+(\d+)/g.exec(ua) || [];
	        return 'IE '+(tem[1] || '');
	    }
	    if(M[1]=== 'Chrome'){
	        tem= ua.match(/\bOPR\/(\d+)/);
	        if(tem!= null) return 'Opera '+tem[1];
	    }
	    M= M[2]? [M[1], M[2]]: [navigator.appName, navigator.appVersion, '-?'];
	    if((tem= ua.match(/version\/(\d+)/i))!= null) M.splice(1, 1, tem[1]);
	    browserVersion = M.join(' ');
	    if(M.join(' ') == "MSIE 8"){
	    	$(".fade_down_button").css({backgroundSize: "contain"});
	    };
	})();

	$('select.igShop2_cart_currency').change(function(){
		$(this).parent().submit();
	});

	//setTimeout(function(){alert($('html').attr("class"))}, 5000);

	$(".editAmountForm").submit(function(event){
		event.preventDefault();
		return false;
	});

	$('.amountInput').change(function(){
		// form element
		var form = $(this).parents('form');
		// form url
		var url = $(form).attr('action');

        var input = $(this);
        var maxAmount = input.data('maxAmount');
        if(input.val() > maxAmount) {
            input.val(maxAmount);
        }
		// serialise form for submitting
		var dataArray = $(form).serialize();
		// for loading gif

		// ProductRow
		var productRow = $(this).parents('.productrows');
		jQuery.ajax({
    		   type: "POST",
    		   url: url,
    		   data: dataArray,
    		   beforeSend: function(){
    		   	$(input).css("background-image" , "url(/typo3conf/ext/igshop2/Resources/Public/Images/Order/ajax-loader.gif)");
    		   	$(input).css("background-repeat" , "no-repeat");
    		   	$(input).css("background-position" , "center");
    		   },
    		   success: function(data){
    		   	$(".amountInput").css("background-image" , "");
                console.log(data);
    		   	var data = JSON.parse(data);
    		   	if(data.product.delete){
    		   		$(productRow).fadeOut("slow");
    		   	}
    		    setNewCartData(data, input);

    		    if(typeof(smallFeCartUrl) != 'undefined') {
				    $.post(
    					smallFeCartUrl,
    					{
    						'tx_igshop2_fecartsmall[action]':"loadSmallCartData",
    						'tx_igshop2_fecartsmall[controller]':"Order",
    						'type':"1000",
    						'noCache': 1
    					},
    					function(data){
					    updateSmallCart(data);
    					}
					);
				}
    		   }
    		});

		return false;
	});

	function setNewCartData(data, formField){
	    // ProductRow
        var productRow = $(formField).parents('.productrows');
	    //$(form).parent().parent().parent().find(".total .total_price").html(data.productPrice);
	    //console.log($(productRow).find(".total_price").html()); // totalProdAmount
	    //$(productRow).find(".total_price").html(data.productPrice);
            //$(productRow).parent().find('.total_price').html(data.product.amount);
	    $(productRow).find(".total_price").html(data.product.amount);
	    $(productRow).find(".price").html(data.product.price);
		$("#small_fe_price_total").html(data.total.amount);
		$(".product_list_bottom .total_price").html(data.total.amount);
		$("#header_cart_products_amount").html(data.total.quantity);
	    $(".product_list_bottom_until_portofree").html(data.total.portoText);
	    /*
		$(".product_amount_"+data.index).html(data.product.quantity);
		$("#product_"+data.index+" .product_amount").html(data.product.quantity);
		$("#product_"+data.index+" .product_price").html(data.product.price);
	    */
	}

	$("form[name=adress] a.cartContinue, .tx-igshop2 form .backlink a.cartContinue").click(function(e){
		e.preventDefault();
		$(this).closest("form").submit();
		return false;
	});

    //console.log($(".calcAddressForm").css("display"));
    if(typeof igshop2_billingAddressIsMain != 'undefined' && !igshop2_billingAddressIsMain) {
    	if($(".calcAddressForm").css("display") == "block"){
    	   	$(".fade_down_button").toggleClass("fade_up_button");
    	}
	} else {
        if($(".addressForm").css("display") == "block"){
            $(".fade_down_button").toggleClass("fade_up_button");
        }
	}

	$(".form_fadeDown").click(function(){
		// Toggle this class for up/down arrow
		$('.fade_down_button').toggleClass("fade_up_button");

        if(typeof igshop2_billingAddressIsMain == 'undefined') {
    		// toggle the slide effect
    		$(".calcAddressForm").slideToggle("slow");

    		// set value if calcAddress is set - needed for validation
    		if($("#iscalcAddress").val() == 1){
    			$("#iscalcAddress").val(0);
    		}else{
    			$("#iscalcAddress").val(1);
    		}
        } else {
    		// set value if calcAddress is set - needed for validation
    		if(!$('.fade_down_button').hasClass('fade_up_button')){
                // toggle the slide effect
                if(typeof igshop2_billingAddressIsMain != 'undefined' && !igshop2_billingAddressIsMain) {
                    $(".addressForm").slideToggle("slow");

        			$("#iscalcAddress").val(1);
                    $("#isdeliveryAddress").val(0);

        			if($('#calcAddressSelect').length > 0) {
                        $('#extraBillingAddress').val(0);
        			    $('#calcAddressSelect').val('');
                        $('.igshop-calcAddressChoices .hiddenAddressField.clear').val('');
                        $('.igshop-calcAddressChoices .igshop-addressChoice').removeClass('active');
        			}
    			} else {
                    $(".calcAddressForm").slideToggle("slow");

                    $("#isdeliveryAddress").val(1);
        			$("#iscalcAddress").val(0);

                    if($('#addressSelect').length > 0) {
                        $('#extraDeliveryAddress').val(0);
                        $('#addressSelect').val('');
                        $('.igshop-addressChoices .hiddenAddressField.clear').val('');
                        $('.igshop-addressChoices .igshop-addressChoice').removeClass('active');
                    }
    			}
    		}else{
                if(typeof igshop2_billingAddressIsMain != 'undefined' && !igshop2_billingAddressIsMain) {
        			$("#iscalcAddress").val(0);
                    $("#isdeliveryAddress").val(1);

        			if($('.igshop-calcAddressChoices .igshop-addressChoice.active').length == 0) {
        			    var $first = $('.igshop-calcAddressChoices .igshop-addressChoice').first();
        			    $first.addClass('show');
        			    $first.find('.addressChooseLink').click();
        			} else {
        			    var $active = $('.igshop-calcAddressChoices .igshop-addressChoice.active');
                        $active.addClass('show');
                        $active.find('.addressChooseLink').click();
        			}

                    if($('#calcAddressSelect').length > 0) {
                        $('#extraBillingAddress').val(1);
                    }

                    // toggle the slide effect
                    $(".addressForm").slideToggle("slow");
                } else {
        			$("#iscalcAddress").val(1);
                    $("#isdeliveryAddress").val(0);

                    if($('.igshop-addressChoices .igshop-addressChoice.active').length == 0) {
                        var $first = $('.igshop-addressChoices .igshop-addressChoice').first();
                        $first.addClass('show');
                        $first.find('.addressChooseLink').click();
                    } else {
                        var $active = $('.igshop-addressChoices .igshop-addressChoice.active');
                        $active.addClass('show');
                        $active.find('.addressChooseLink').click();
                    }

                    if($('#addressSelect').length > 0) {
                        $('#extraDeliveryAddress').val(1);
                    }

                    // toggle the slide effect
                    $(".calcAddressForm").slideToggle("slow");
                }
            }
		}
	});
	$('.igshop-addressChoice .addressChooseLink').click(function(e) {
	    e.preventDefault();
        var $addressChoice = $(this).parents('.igshop-addressChoice');

        if($addressChoice.hasClass('show')) {
            var $parent = $addressChoice.parent();
            var $allAddressChoices = $parent.find('.igshop-addressChoice');
            var address = $addressChoice.data('address');

            $allAddressChoices.removeClass('active');
            $allAddressChoices.removeClass('show');

            $addressChoice.addClass('active');

            $parent.find('.hiddenAddressField.clear').val('');
    	    $parent.find('.addressSalutation').val(address.gender);
            $parent.find('.addressFirstName').val(address.firstName);
            $parent.find('.addressLastName').val(address.lastName);
            $parent.find('.addressCompany').val(address.company);
            $parent.find('.addressAddress').val(address.address);
            $parent.find('.addressZip').val(address.zip);
            $parent.find('.addressCity').val(address.city);
            $parent.find('.addressCountry').val(address.country);
            $parent.find('.addressUid').val(address.uid);
            $parent.find('.addressEmail').val(address.email);
            $parent.find('.addressPhone').val(address.phone);
            $parent.find('.addressSelect').val(address.uid);
            $parent.find('.addressIsPrivate').val(address.isPrivatePerson ? 1 : 0);

            $allAddressChoices.first().before($addressChoice);

            if(typeof igshop2_billingAddressIsMain != 'undefined' && !igshop2_billingAddressIsMain) {
                var $extraBillingAddress = $parent.find('#extraBillingAddress');
                if($extraBillingAddress.length > 0) {
                    $extraBillingAddress.val(1);
                }
            } else {
                var $extraDeliveryAddress = $parent.find('#extraDeliveryAddress');
                if($extraDeliveryAddress.length > 0) {
                    $extraDeliveryAddress.val(1);
                }
            }
        }
	});

    if($('.igshop-addressChoices .igshop-addressChoice.active').length > 0) {
        var $active = $('.igshop-addressChoices .igshop-addressChoice.active');
        $('.igshop-addressChoices .igshop-addressChoice').first().before($active);
        $active.addClass('show');
        $active.find('.addressChooseLink').click();

        if(typeof igshop2_billingAddressIsMain != 'undefined' && igshop2_billingAddressIsMain) {
            if($('#isdeliveryAddress').val() == 0) {
                $('#extraDeliveryAddress').val(0);
                $('#addressSelect').val(0);
                $('.igshop-addressChoices .hiddenAddressField.clear').val('');
            }
        }
    }

    if($('.igshop-calcAddressChoices .igshop-addressChoice.active').length > 0) {
        var $active = $('.igshop-calcAddressChoices .igshop-addressChoice.active');
        $('.igshop-calcAddressChoices .igshop-addressChoice').first().before($active);
        $active.addClass('show');
        $active.find('.addressChooseLink').click();

        if(typeof igshop2_billingAddressIsMain != 'undefined' && !igshop2_billingAddressIsMain) {
            if($('#iscalcAddress').val() == 0) {
                $('#extraBillingAddress').val(0);
                $('#calcAddressSelect').val(0);
                $('.igshop-calcAddressChoices .hiddenAddressField.clear').val('');
            }
        }
    }

    $('.igshop-addressChoice .addressListLink').click(function(e) {
        e.preventDefault();
        var $addressChoice = $(this).parents('.igshop-addressChoice');

        if($addressChoice.hasClass('active')) {
            var $parent = $addressChoice.parent();
            $parent.find('.igshop-addressChoice:not(.active)').toggleClass('show');
        }
    });

    $('.addOrderProduct a.buyAgainSubmit').click(function(event){
        event.preventDefault(event);
        var form = $(this).parent();
        // form url
        var form_id = $(form).attr('id');
        // serialise form for submitting
        var orderProductId = form_id.split("_")[1];
        $.post(
            $(this).data('page-2000'),
            {
                'tx_igshop2_fecart[action]':"addOrderProduct",
                'tx_igshop2_fecart[controller]':"Order",
                'tx_igshop2_fecart[orderProduct]': orderProductId,
                'type':"2000",
                'noCache': 1
            },
            function(){
                $.post(
                $(this).data('page-1000'),
                {
                    'tx_igshop2_fecartsmall[action]':"loadSmallCartData",
                    'tx_igshop2_fecartsmall[controller]':"Order",
                    'type':"1000",
                    'noCache': 1
                },
                function(data){
                    if($(window).width() > 600){
                    $(".dropdown_action").addClass("active");
                    $(".header_popup_products").slideDown("normal");
                    $(".smallCart .dropdown_action_arrow").addClass("dropdown_action_close_arrow");
                    $('.header_popup_products').html(data);
                }else{
                    $(".header_cart_link").animate({backgroundColor: "#1981B2"}, 500).animate({backgroundColor: "transparent"}, 500);
                    $('.header_popup_products').html(data);
                }
                var totalProdAmount = parseInt($(data).find(".totalProdAmount").attr("data-amount")) || 0;
                $('.smallFeCart_productCount').html("("+totalProdAmount+")");
                });
        });
        return false;
    });

    $('.deleteProductLink').click(function(e) {
        e.preventDefault();
        var product = $(this).data('product');
        var toggleclass = $(this).data('toggleclass');
        $('.delete_' + product).parent().toggleClass(toggleclass);
        $('html').toggleClass('dialogOpen');
    });
    //anderes Land einblenden
    $('.field_country select').change(function(){
        var $fieldForeignCountry = $(this).parents('.field_country').next('.field_foreign_country');
        var val=$(this).children("option:selected").data('trigger');
        if(val=='field_foreign_country') {
            $fieldForeignCountry.show();
        } else {
            $fieldForeignCountry.hide();
        }
    });

    if( $('.field_country select').children("option:selected").data('trigger')=='field_foreign_country') {
	$('.field_foreign_country').show();
    }


});
