$(document).ready(function(){

	$('input.amountInput').change(function(){
        if($(this).data('maxAmount')) {
            var maxProdAmount = $(this).data('maxAmount');
    		if($(this).val() > maxProdAmount && maxProdAmount > 0){
    			$(this).val(maxProdAmount);
    			alert("Maximale Bestellmenge von "+maxProdAmount+" erreicht");
    		} else if($(this).val() < 1 || isNaN($(this).val())) {
                $(this).val(1);
            }
        } else if($(this).data('product')) {
	        var productKey = 'product-' + $(this).data('product');
            if($(this).val() > maxProdAmount[productKey] && maxProdAmount[productKey] > 0){
                $(this).val(maxProdAmount[productKey]);
                alert("Maximale Bestellmenge von "+maxProdAmount[productKey]+" erreicht");
            } else if($(this).val() < 1 || isNaN($(this).val())) {
                $(this).val(1);
            }
        } else {
    		if($(this).val() > maxProdAmount && maxProdAmount > 0){
    			$(this).val(maxProdAmount);
    			alert("Maximale Bestellmenge von "+maxProdAmount+" erreicht");
    		} else if($(this).val() < 1 || isNaN($(this).val())) {
                $(this).val(1);
            }
		}
	});

	$(".igshop_detail_options .dropdown_content").each(function(){
		$(this).width($(this).parent().find("div.dropdown_header")[0].getBoundingClientRect().width - 18);
	});

	$(window).smartresize(function() {
		$(".igshop_detail_options .dropdown_content").each(function(){
			$(this).width($(this).parent().find("div.dropdown_header")[0].getBoundingClientRect().width - 18);
		});
	});

	$(".prodOptionSelect").on("click", function(){
		var curUid = $(this).attr("data-uid");
		var curText = $(this).text();
		$(this).parent().parent().find('.dropdown_action_label').text(curText);
		$(this).parent().find('input').val(curUid);

		$(this).parent().parent().find(".dropdown_header").toggleClass("active");
		$(this).parent().parent().find(".dropdown_action_arrow").removeClass("dropdown_action_close_arrow dropdown_action_open_arrow").addClass("dropdown_action_open_arrow");
		$(this).parent().parent().find(".dropdown_content").slideUp("normal");
	});

	$('.header_popup_priceOptions .prodOptionSelect').on("click",function(){
		var price = $(this).attr('data-price');
		var priceEuro = $(this).attr('data-price-euro');
		$('.igShop-single-price .price .price_1').html(price);
		$('.igShop-single-price .price .price_2').html(priceEuro);
	});
	$(".igshop_detail_options .dropdown_header, .filterForm .dropdown_header").on('click', function(e) {
	    if($(this).hasClass('active')) {
            $(this).find(".dropdown_action_arrow").removeClass("dropdown_action_close_arrow dropdown_action_open_arrow").addClass("dropdown_action_open_arrow");
    	    $(this).next('.dropdown_content').slideUp('normal');
	    } else {
            $(this).find(".dropdown_action_arrow").removeClass("dropdown_action_open_arrow dropdown_action_close_arrow").addClass("dropdown_action_close_arrow");
            $(this).next('.dropdown_content').slideDown('normal').css('display', 'block');
	    }
        $(this).toggleClass('active');
	});
	$(".igshop_detail_options .dropdown_header, .prodOptionSelect").on("click", function(){
		$(this).closest(".igShop-single-option").siblings().each(function(){
			$(this).find(".dropdown_action_arrow").removeClass("dropdown_action_close_arrow dropdown_action_open_arrow").addClass("dropdown_action_open_arrow");
			$(this).find(".dropdown_content").slideUp("normal");
		});
	});

	$(".submit_product").click(function(event){
		event.preventDefault(event);

        var openCart = $(this).data('openCart');
        var successText = $(this).data('successText');
        var $addCartText = $(this).find('.add-cart-text');
        var $ajaxLoader = $(this).find('.ajax-loader');

        if($addCartText.length) {
            $addCartText.css('visibility', 'hidden');
            $ajaxLoader.show();
        }

	    // scroll smooth to top
	    if(openCart) {
		if($('.tx-igshop2-smallFeCart').length) {
		    $(".igShop_popup").addClass('open').find('.dropdown_header').addClass('active');
		} else {
		    console.log('Error: smallFeCart is missing');
		}
		if($(window).width() > 600){
		    $(".smallCart " + containerSmallCart).addClass("active");
		    $(".smallCart .dropdown_action_arrow").addClass("dropdown_action_close_arrow");
		    $(".smallCart .dropdown_action_arrow").removeClass("dropdown_action_open_arrow");
		    $('.header_popup_products').html('<div class="menuLoadReplace"><div class="loadSpinnerContainer"><div class="outerCircle"></div></div></div>');
		    $(".header_popup_products").slideDown("normal");
		}
	    }

		var productData = $(this).parents(".product_form").serialize();
		var url = addProductUrl;
		jQuery.ajax({
    		type: "POST",
    		url: url,
    		data: productData,
			success: function(data){
				$.post(
				smallFeCartUrl,
				{
					'tx_igshop2_fecartsmall[action]':"loadSmallCartData",
					'tx_igshop2_fecartsmall[controller]':"Order",
					'type':"1000",
					'noCache': 1
				},
				function(data){
                    if($addCartText.length) {
                        $addCartText.css('visibility', 'visible');
                        $ajaxLoader.hide();
                    }
                    if(successText) {
                        toastr.success(successText);
                    }
                    if(typeof updateSmallCart !== 'undefined') {
    				    updateSmallCart(data);
                    }
                    if(openCart) {
    				    if($(window).width() > 600){
    						$(".dropdown_action").addClass("active");
    						$(".header_popup_products").slideDown("normal");
    						$(".smallCart .dropdown_action_arrow").addClass("dropdown_action_close_arrow");
    					}else{
    						$(".header_cart_link").animate({backgroundColor: "#1981B2"}, 500).animate({backgroundColor: "transparent"}, 500);
    					}
                    }
				});
		   }
		});
		return false;
	});

    if($('.optionProducts').length) {
        $('.optionProducts input[type="checkbox"]').on('click', function(e) {
            var maxAmount = $('.optionProducts').data('maxAmount');
            var $checked = $('.optionProducts input[type="checkbox"]:checked');
            if($checked.length > maxAmount) {
                $(this).attr('checked', false);
                $(this).prop('checked', false);
            }
        });
    }

	$('.igshop-openAddressDeletePopup, .igshop-closeAddressDeletePopup').click(function(e) {
	    e.preventDefault();
	});

});
