<?php
namespace InternetGalerie\Igshop2\ViewHelpers;


/**
 * This class is a demo view helper for the Fluid templating engine.
 *
 * @package TYPO3
 * @subpackage Fluid
 * @version
 */
class PriceLabelIsMeasurementViewHelper extends \TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper {
    public function initializeArguments(): void
    {
        parent::initializeArguments();
        
        $this->registerArgument('priceLabel', 'string', 'Price label', true);
    }

    /**
     * Returns the $key Key element from an array
	 * 
	 * @return boolean
     */
	public function render(): string
    {
	    $priceLabel = $this->arguments['priceLabel'];
		return (preg_match('/(^[0-9]+\s)\w+/', $priceLabel) != false);
	}
}

?>